<template>
  <div class="trunk pagination">
    <div class="pagination_list">
      <span>{{ $t('catalog.pages') }}:&nbsp;</span>
      <a
        v-for="paginationTrigger in paginationTriggers"
        :key="paginationTrigger"
        :class="{
          'pagination_page pagination_page--active':
            paginationTrigger === currentPage
        }"
        :href="`${baseUrl}/${paginationTrigger}`"
        >&nbsp;{{ paginationTrigger }}&nbsp;</a
      >
    </div>
  </div>
</template>

<script>
export default {
  props: {
    currentPage: {
      type: Number,
      required: true
    },
    itemsPerPage: {
      type: Number,
      required: true
    },
    totalPage: {
      type: Number,
      required: true
    },
    baseUrl: {
      type: String,
      required: true
    }
  },
  computed: {
    paginationTriggers() {
      const arr = new Array(this.totalPage)
      for (let i = 0; i < this.totalPage; i++) arr[i] = i + 1
      return arr
    }
  },
  methods: {
    urlPage(page) {
      const from = page === 1 ? 0 : page * this.itemsPerPage
      return `${this.baseUrl}/${from}/${this.itemsPerPage}`
    }
  }
}
</script>

<style
  lang="scss"
  src="~/assets/scss/v7/components/organisms/pagination/_pagination.scss"
></style>

<style scoped lang="scss">
.pagination_arrow {
  cursor: pointer;
}
</style>
